- Home
- API Enriched
- Object Storage
- object_store
- GET List Of Stored Objects.
GET List Of Stored Objects.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/object_store/namespaces/example/stored_objects/example?query_type=EXACT_MATCH';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/object_store/namespaces/example/stored_objects/example?query_type=EXACT_MATCH' \ --header 'Authorization: <Authorization>'ListObjects is an API to list objects in object store.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace of the stored_object.
Object_type Optional query parameter. Type of the stored_object.
Query Parameters
Section titled “Query Parameters”Optional query parameter. Name of the stored_object.
Optional query parameter. The type of search query needs to be performed. Could be EXACT_MATCH or PREFIX_MATCH. EXACT_MATCH returns the objects with exact match on the name filed, while PREFIX_MATCH returns the list of object matching the ‘name’ prefix. Default is EXACT_MATCH.
- EXACT_MATCH: EXACT_MATCH
Returns list of objects with exact match on the name filed.
- PREFIX_MATCH: PREFIX_MATCH
Returns the list of object matching the ‘name’ prefix.
Optional query parameter. If passed, returns only latest version of the objects.
Responses
Section titled “Responses”A successful response.
Response for GetListOfObjects API.
object
Stored object names and available versions for each object.
A descriptor for list response item.
object
object
Version of mobile app shield release.
object
Version of mobile integrator release.
object
Version of mobile SDK release.
Name of the stored object.
object
Tenant to which this object belongs.
Available versions for the stored object.
Descriptor for store object version.
object
Creation date & time for the object
Required: YES.
Optional field, the Description for the object.
A tag representing if this is the latest version for the object.
URL of the stored object
Required: YES.
Version of the stored object.
object
Version of mobile SDK release.
Example
{ "items": [ { "mobile_app_shield": { "os_type": "ANDROID" }, "mobile_integrator": { "os_type": "ANDROID" }, "mobile_sdk": { "os_type": "ANDROID" }, "mobile_sdk_self_serve": { "os_type": "ANDROID" } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example